function [c,iteraciones]=biseccion(a,b)
%  solucion de ecuaciones nolineales por metodo de biseccion
%  a,b son los extremos del intervalo que contiene una raiz
%  c es la raiz calculada
%  uso: [c]=biseccion(a,b)

fa=funcion(a);
fb=funcion(b);
if fa*fb>0
  disp("Error en intervalo inicial")
  else
  error=999;
  tol=1E-6;
  iteraciones=0;
  while error>tol
    %nueva aproximacion
    c=(a+b)/2
    fc=funcion(c); 
    %actualizacion de intervalos
    if fa*fc<0 
      b=c;  
      fb=funcion(b);
      else
      a=c;
      fa=funcion(a);
    endif
    %evaluacion del error
    error=abs(fc); 
    iteraciones=iteraciones+1;
  endwhile  
endif

endfunction
