function [c,iteraciones]=regulafalsi(a,b)
%  solucion de ecuaciones nolineales por metodo de regula falsi
%  a,b son los extremos del intervalo que contiene una raiz
%  c es la raiz calculada
%  uso: [c]=regulafalsi(a,b)

fa=funcion(a);
fb=funcion(b);
if fa*fb>0
  disp("Error en intervalo inicial")
  else
  error=999;
  tol=1E-6;
  iteraciones=0;
  while error>tol
    %nueva aproximacion
    m=(fb-fa)/(b-a); %calculo de pendiente
    c=b-fb/m; %nueva aproximacion de la raiz
    fc=funcion(c); 
    %actualizacion de intervalos
    if fa*fc<0
      b=c;
      fb=funcion(b);
      else
      a=c;
      fa=funcion(a);
    endif
    error=abs(fc) %evaluacion del error
  iteraciones=iteraciones+1;
  endwhile  
endif

endfunction
